Bug 963343 - drop deprecated aliases
Summary: drop deprecated aliases
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-15 17:23 UTC by Rahul Sundaram
Modified: 2014-07-23 13:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 05:58:19 UTC


Attachments (Terms of Use)

Description Rahul Sundaram 2013-05-15 17:23:44 UTC
Description of problem:


there are aliases that remove/erase and distribution-sync/distro-sync and one of them should be dropped going forward to avoid confusion.  this pops up often enough in user mailing list and other forums.  users repeatedly have the notion that erase and remove are somehow different. 

an old thread for reference

https://lists.fedoraproject.org/pipermail/users/2010-June/376013.html

note however that in the case of dnf, erase seems preferred however remove is far far more popular as a quick google search would show.  similar for upgrade vs update.   so you might want to reverse which one is considered deprecated and gets shown preferably in help/man etc

Comment 1 Ales Kozumplik 2013-05-16 05:43:17 UTC
It is usually a mistake to have aliases in the first place, that is true, and DNF is in the process of removing them. I'll think about a strategy to start displaying deprecation warnings so people can migrate their scripts and learn the only spellings.

I'm however going to keep the 'erase' and 'uprade' spellings preferred and deprecate the other ones.

Comment 2 Rahul Sundaram 2013-05-16 05:55:07 UTC
there is a quantitative way to look at this beyond personal preferences:

In google searches, 

yum remove
About 9,300,000 results (0.22 seconds) 

yum erase
About 573,000 results (0.21 seconds) 

yum update
About 18,000,000 results (0.42 seconds) 

yum upgrade
About 3,110,000 results (0.27 seconds) 

Summary:  yum update beats yum upgrade
          yum remove beats yum erase

Comment 3 Panu Matilainen 2013-05-16 06:11:59 UTC
FWIW, I dont think I even knew yum has an "erase" command, and always use "update" instead of "upgrade". The above figures match my gut feeling of "remove" and "update" being by far the more commonly used variants in 3rd party documentation and mailing list discussions. OTOH "upgrade" does pair better with "downgrade" than the "update" variant.

Comment 4 Ales Kozumplik 2013-05-16 06:19:03 UTC
Right, 'upgrade' resembles 'downgrade'. And rpm itself calls it's '-U' command 'upgrade'. Same for 'erase'. So for those users familiar with RPM it will make more sense. The rest of them will see the deprecation warnings. I am not going to drop 'update' and 'remove' any time soon and I still aim for a high degree of CLI compatibility and this particular case is easy to retain.

Comment 5 Panu Matilainen 2013-05-16 07:17:13 UTC
Rpm's use of "erase" is the oddball case, practically everything else out there uses the term "remove": apt, dpkg, zypper, urpmi, smartpm... even Windows has "Add/Remove software". I'd suggest keeping "remove" and axing "erase" instead and never mind what rpm itself calls it.

Comment 6 Fedora End Of Life 2013-09-16 13:55:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 7 Rahul Sundaram 2014-07-22 17:05:58 UTC
any update on this?

Comment 8 Ales Kozumplik 2014-07-23 05:58:19 UTC
This is not something considered a problem by wider user base or by the team, closing.

Comment 9 Rahul Sundaram 2014-07-23 13:03:55 UTC
I am not sure you can speak on behalf of the wider user base Ales.  There certainly has been a number of threads over the years expressing confusion over aliases  - ex: what is the difference between update and upgrade?  Before dnf becomes default, I would have expected some amount of cleanup of whatever aliases are deemed deprecated.


Note You need to log in before you can comment on or make changes to this bug.